#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k,i,indeks;

    scanf("%d %d",&n,&k);
    int niz[n];
        for(i = 0; i < n;i++)
            {
               scanf("%d",&niz[i]);
               if(niz[i] == k)
                indeks = i;
            }

        if(indeks==n-1)
            printf("%d",niz[0]);
        else
            printf("%d",niz[indeks+1]);

    return 0;
}